function validateForm() {
	if (validateField('SB_Validator.notEmpty', 'pagesetCode', 'EMPTY-PAGESET-CODE')
		&& validateField('SB_Validator.isAlnum', 'pagesetCode', 'INVALID-PAGESET-CODE')
		&& validateField('SB_Validator.notEmpty', 'pagesetTitle', 'EMPTY-PAGESET-TITLE')
	) {
		return true;
	} else {
		return false;
	}
}

function validatePageInfo() {
	if (validateField('SB_Validator.notEmpty', 'pageTitle', 'EMPTY-PAGE-TITLE')
		&& validateWysiwygContentSize('pageContent', 60000, 'MAX-PAGE-SIZE-LIMIT-RICHED')
	) {
		return true;
	} else {
		return false;
	}
}

function submitForm() {
	if (!validateForm() || !validatePageInfo()) {
		return false;
	}

	addHiddenToForm('pagesetStructure', SbGetTreeXml('pageset'), 'pagesetForm');
	document.forms.pagesetForm.submit();
	return true;
}

function submitFormTemporary(withValidation) {
	if (withValidation && !validatePageInfo()) {
		return false;
	}
				
	addHiddenToForm('pagesetStructure', SbGetTreeXml('pageset'), 'pagesetForm');
	addHiddenToForm('isTemporarySave', 1, 'pagesetForm');
	
	document.forms.pagesetForm.submit();
	return true;
}

function submitFormByChangeLocale() {
	if (!validatePageInfo()) {
		document.forms.pagesetForm.selectedLocale.selectedIndex = originalSelectedLocaleIndex;
		return false;
	}
	
	var selectedLocale = document.forms.pagesetForm.selectedLocale.options[document.forms.pagesetForm.selectedLocale.selectedIndex].value; 
	document.forms.pagesetForm.selectedLocale.selectedIndex = originalSelectedLocaleIndex;
	
	addHiddenToForm('newSelectedLocale', selectedLocale, 'pagesetForm');
	
	addHiddenToForm('pagesetStructure', SbGetTreeXml('pageset'), 'pagesetForm');
	addHiddenToForm('isTemporarySave', 1, 'pagesetForm');
	
	document.forms.pagesetForm.submit();
	return true;
}

function deletePagesets() {
	if (countSelectedCheckBoxes() > 0) {
		if (confirm(SbGetLocaleByKey('SURE-TO-DELETE'))) {
			document.forms.listForm.action.value = '/Admin/Pagesets/Delete';
			document.forms.listForm.submit();
		}
	} else {
		alert(SbGetLocaleByKey('SELECT-FOR-DELETE'));
	}
}

function isCurrentPagePresent() {
	var pagesetStructure = $('pageset');
	var currentPageId = $('currentPageId').value;
	var found = false;
		
	pagesetStructure.descendants().each(function(childNode) {
		if ('DIV' == childNode.tagName) {
			if (currentPageId == childNode.identifier) {
				found = true;
			}
		}
	});
	
	return found;
}

function pagesetPagesDeleteButton(treeId) {
	SbPagesSiteRemove(treeId);
		
	if (!isCurrentPagePresent()) {
		submitFormTemporary(false);
	}
}