// Singleton object for work with cookies
Sb.Cookie = {};

/**
 * Get cookie value by offset inside string
 *
 * @param int offset
 */
Sb.Cookie._getCookieVal = function(offset) {
	var endstr = document.cookie.indexOf (";", offset);
	if (endstr == -1) {
		endstr = document.cookie.length;
	}
	
	return unescape(document.cookie.substring(offset, endstr));
}

/**
 * Get cookie by name
 *
 * @param string name
 * @return string
 */
Sb.Cookie.get = function(name) {
	var arg = name + "=";
	var alen = arg.length;
	var clen = document.cookie.length;
	var i = 0;
	while (i < clen) {
		var j = i + alen;
		if (document.cookie.substring(i, j) == arg) {
			return Sb.Cookie._getCookieVal(j);
		}
		i = document.cookie.indexOf(" ", i) + 1;
		if (i == 0) break; 
	}
	
	return '';
}

/**
 * Set cookie
 *
 * @param string name
 * @param string value
 * @param string expires
 * @param string path
 * @param string domain
 * @param bool secure
 */
Sb.Cookie.set = function(name, value, expires, path, domain, secure) {
	document.cookie = name + "=" + escape (value) +
		((expires) ? "; expires=" + expires : "") +
		((path) ? "; path=" + path : "") +
		((domain) ? "; domain=" + domain : "") +
		((secure) ? "; secure" : "");
}

/**
 * Delete cookie
 *
 * @param string name
 * @param string path
 * @param string domain
 */
Sb.Cookie.deleteCookie = function(name, path, domain) {
	if (Sb.Cookie.get(name)) {
		document.cookie = name + "=" +
			((path) ? "; path=" + path : "") +
			((domain) ? "; domain=" + domain : "") +
			"; expires=Thu, 01-Jan-70 00:00:01 GMT";
	}
}
