// View namespace
Sb.Views.Admin.SiteFamilies = {};

Sb.Views.Admin.SiteFamilies.validateForm = function() {
	if (validateField('SB_Validator.notEmpty', 'code', 'EMPTY-SITE-FAMILY-CODE')
		&& validateField('SB_Validator.isAlnum', 'code', 'INVALID-SITE-FAMILY-CODE')
		&& validateField('SB_Validator.notEmpty', 'title', 'EMPTY-SITE-FAMILY-TITLE')
		&& validateWysiwygContentSize('description', 60000, 'MAX-DESCRIPTION-SIZE-LIMIT')
	) {
		return true;
	} else {
		return false;
	}
}

Sb.Views.Admin.SiteFamilies.validateFormForUpload = function() {
	if (validateField('SB_Validator.notEmpty', 'idUploadLogo', 'SELECT-FILE')
		&& extendedValidateField("SB_Validator.isRegex(document.getElementById('idUploadLogo').value, /\.(gif|jpe?g|png|bmp)$/i)", 'idUploadLogo', 'INVALID-FILE-TYPE')
	) {
		return true;
	} else {
		return false;
	}
}

Sb.Views.Admin.SiteFamilies.submitForm = function() {
	if (!Sb.Views.Admin.SiteFamilies.validateForm()) {
		return false;
	}
	
	document.forms.siteFamilyForm.submit();
	return true;
}

Sb.Views.Admin.SiteFamilies.submitForUpload = function() {
	if (!Sb.Views.Admin.SiteFamilies.validateFormForUpload()) {
		return false;
	}
	
	addHiddenToForm('isTemporarySave', 1, 'siteFamilyForm');
	
	document.forms.siteFamilyForm.submit();
	return true;
}

/**
 * Delete selected site families
 *
 */
Sb.Views.Admin.SiteFamilies.deleteSiteFamilies = function() {
	if (countSelectedCheckBoxes() > 0) {
		if (confirm(SbGetLocaleByKey('SURE-TO-DELETE'))) {
			document.forms.listForm.action.value = '/Admin/SiteFamilies/Delete';
			document.forms.listForm.submit();
		}
	} else {
		alert(SbGetLocaleByKey('SELECT-FOR-DELETE'));
	}
}
