/**
 * Block module editor dialog (modal form) control script
 *
 * @copyright (c) 2004-2006, SWsoft
 */
function SbBlockModuleEditorDialog(dialogId, frameId, frameHolderId) {
	this._dialog = dialog= document.getElementById(dialogId);
	this._frame = null;
	this._frameId = frameId;
	this._frameHolder = document.getElementById(frameHolderId);
	this._onCloseEventsList = new Array();
}

SbBlockModuleEditorDialog.prototype.show = function(title, viewUrl, width, height) {
	var initalHeight = (height)
		? parseInt(height)
		: 300;
	this._dialog.verticalBorderHeight = 55;
	
	this._frameHolder.innerHTML = '<iframe id="'+this._frameId+'" frameborder="0" allowtransparency="true" style="width:100%;height:'+initalHeight+'px;overflow:hidden;margin:0px;padding:0px;" scrolling="no" src="'+viewUrl+'" onload="try { this.innerFrameOnLoad(this, \'' + this._dialog.id + '\'); } catch (e) {}"></iframe>';
	this._dialog.style.width = width;
	this._dialog.style.height = initalHeight + this._dialog.verticalBorderHeight + 'px';
	this._dialog.setTitle(title);
	this._dialog.show();
	
	this._frame = document.getElementById(this._frameId);	
	
	if (!height) {
		this._frame.innerFrameOnLoad = modalWindowAutoResize;
	}
}

SbBlockModuleEditorDialog.prototype.hide = function() {
	var result = true;
	for (var i = 0; i < this._onCloseEventsList.length; i++) {
		var method = this._onCloseEventsList[i];
		var res = method();
		if (false == res) {
			result = false;
			break;
		}
	}
	if (result) {
		this._dialog.hide();
		this._frame.contentWindow.document.location.href = '/blank.html';
		this.resetAll();
	}
}

SbBlockModuleEditorDialog.prototype.resetAll = function() {
	this._onCloseEventsList = new Array();
}

SbBlockModuleEditorDialog.prototype.addOnCloseEvent = function(method) {
	this._onCloseEventsList.push(method);
}