/**
 * Addons for FCKeditor
 *
 */

function SetModuleEventHandler(control, event, func) {
	if (document.all) {
		control.attachEvent("on"+event, func);
	} else {
		control.addEventListener(event, func, true);
	}
}

function SetModulePropsEventHandler(win) {
	var propsElements = win.document.getElementsByName('props');
	
	for (var i = 0; i < propsElements.length; i++) {
		SetModuleEventHandler(win.document.getElementById(propsElements[i].id), "click", propsElements[i].onclick);
	}
}

function SetModuleCloseEventHandler(win) {
	var func = function() {
		win.blockModule.removeModule();
		return false;
	}
	SetModuleEventHandler(win.document.getElementById("close"), "click", func);
}

function SetModuleLoadEventHandler(win) {
	var funcFrame = function() {
		win.blockModule.resizeMainFrame();
		return false;
	}
	var funcPreview = function() {
		win.blockModule.resizePreviewFrame();
		setTimeout(funcFrame, 500);
		return false;
	}
	SetModuleEventHandler(win.document.body, "load", funcFrame);
	SetModuleEventHandler(win.document.getElementById("preview"), "load", funcPreview);
	SetModuleEventHandler(win.document.getElementById("preview"), "resize", funcPreview);
}

function ResizeBlockModuleFrameInMozilla(frame, win) {
	if (document.all || !win) {
		return;
	}
	setTimeout(function() {
		if (!win) {
			return;
		} else if (!win.blockModule) {
			CreateBlockModuleObject(frame, win);
		}
		if (win.blockModule) {
			win.blockModule.resizePreviewFrame();
			setTimeout(function() {
				if (win && win.blockModule) {
					win.blockModule.resizeMainFrame();
				}
			}, 1000);
		}
	}, 1000);
}

function CreateBlockModuleObject(frame, win) {
	if (win && win.document) {
		var link = win.document.getElementById("viewLink");
		var title = win.document.getElementById("formTitle");
		var previewFrame = win.document.getElementById("preview");
		if (link && title && previewFrame) {
			win.blockModule = new BlockModule(frame, title.value);
			SetModuleLoadEventHandler(win);
			SetModulePropsEventHandler(win);
			SetModuleCloseEventHandler(win);
		}
	}
}

function SbBlockModuleOnFrameClick(event) {
	var clickedControl = event.srcElement.contentWindow.document.elementFromPoint(event.offsetX, event.offsetY);
	
	if (clickedControl && clickedControl.onclick) {
		event.srcElement.focus();
	}
}

/*
 * :NOTE: epalchukovsky@: Workaround for events in new Mozilla
 */
function SetBlockModulesEvents() {	
	var eEditorArea = document.getElementById('xEditingArea').firstChild;
	
	if (!eEditorArea) {
		return;
	}
	
	var modFrames = getFrameDocument(eEditorArea).getElementsByTagName('IFRAME');
	
	for (var i = 0; i < modFrames.length; ++i) {
		var frame = modFrames[i];
		var win   = frame.contentWindow;
		var link   = win.document.getElementById("viewLink");
		var title  = win.document.getElementById("formTitle");
		var previewFrame = win.document.getElementById("preview");
		
		if (!previewFrame) {
			var previewDiv = win.document.getElementById("previewDiv");
			
			if (!previewDiv) {
				setTimeout(SetBlockModulesEvents, 100);
				return ;
			}
			
			var previewFrameSrc = win.document.getElementById("previewFrameSrc").value;
			
			var parentNode = previewDiv.parentNode;
			
			while (parentNode.firstChild) {
				parentNode.removeChild(parentNode.firstChild);
			}
			
			previewFrame = win.document.createElement('iframe');
			previewFrame.id = 'preview';
			previewFrame.src = previewFrameSrc;
			previewFrame.frameBorder = 0;
			previewFrame.scrolling = 'no';
			previewFrame.allowTransparency = "true";
			
			// workaround for Firefox 3
			previewFrame.width = '100%;';
			
			previewFrame.style.width = '100%;';
			previewFrame.style.height = '100%;';
			previewFrame.style.overflow = 'auto';
			previewFrame.style.margin = '0px';
			previewFrame.style.padding = '0px';
						
			parentNode.appendChild(previewFrame);
			
			setTimeout(SetBlockModulesEvents, 100);
			return ;
		}
		
		// add events handlers to send them to child controls (IE only problem)
		if (document.all) {	
			SetModuleEventHandler(frame, "click", SbBlockModuleOnFrameClick);
			SetModuleEventHandler(frame, "controlselect", SbBlockModuleOnFrameClick);
		}
		
		if (!link 
			|| !title
			|| !previewFrame
			|| !previewFrame.contentWindow
			|| !previewFrame.contentWindow.document
			|| !previewFrame.contentWindow.document.getElementById('reloadInProgress')
			||  previewFrame.contentWindow.document.getElementById('reloadInProgress').value != 'false') {

				setTimeout(SetBlockModulesEvents, 100);
				return;
		}
	}
	_SetBlockModulesEvents();
}

function _SetBlockModulesEvents() {
	var eEditorArea = document.getElementById('xEditingArea').firstChild;
						
	if (!eEditorArea) {
		return;
	}
	
	var modFrames = getFrameDocument(eEditorArea).getElementsByTagName('IFRAME');
	
	for (var i = 0; i < modFrames.length; ++i) {
		var frame = modFrames[i];
		var win = frame.contentWindow;
		var link = win.document.getElementById("viewLink");
		var title = win.document.getElementById("formTitle");
		var previewFrame = win.document.getElementById("preview");
		if (!link || !title || !previewFrame) {
			setTimeout(SetBlockModulesEvents, 100);
			break;
		} else {
			if (!win.blockModule) {
				CreateBlockModuleObject(frame, win);
			}
			ResizeBlockModuleFrameInMozilla(frame, win);
		}
	}
}
