<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">


<xsl:template match="PAGED-LIST/LIST[@PREFIX='HostsList']/HEADER">
<tr class="fixed">
	<th style="width:1%;">
		<div>
			<input type="checkbox" name="TopHostsList" onclick="setCheckboxStatus(this.checked, 'HostsList');" class="check"/>
		</div>
	</th>
	
	<xsl:call-template name="LIST-HEADER-ITEM">
		<xsl:with-param name="title"><xsl:value-of select="STATUS"/></xsl:with-param>
		<xsl:with-param name="width">1%</xsl:with-param>
	</xsl:call-template>

	<xsl:call-template name="LIST-HEADER-ITEM">
		<xsl:with-param name="field">name</xsl:with-param>
		<xsl:with-param name="title"><xsl:value-of select="NAME"/></xsl:with-param>
		<xsl:with-param name="width">100%</xsl:with-param>
		<xsl:with-param name="currentSortField"><xsl:value-of select="../../LIST/@ORDER-BY"/></xsl:with-param>
		<xsl:with-param name="currentSortType"><xsl:value-of select="../../LIST/@ORDER-TYPE"/></xsl:with-param>
		<xsl:with-param name="tab"><xsl:value-of select="../@PREFIX"/></xsl:with-param>
	</xsl:call-template>
</tr>
</xsl:template>

<xsl:template match="PAGED-LIST/LIST[@PREFIX='HostsList']/ITEM">
	<xsl:variable name="class">
	<xsl:call-template name="LIST-ROW-CLASS">
        	<xsl:with-param name="position"><xsl:value-of select="position()"/></xsl:with-param>
	</xsl:call-template>
</xsl:variable>
	<tr class="{$class}">
		<td style="width:1%;">
			<input type="checkbox" name="HostsListIds[]" value="{HOST-ID}" class="check"/>
		</td>
		
		<xsl:call-template name="LIST-ROW-ITEM">
			<xsl:with-param name="icon">
				<xsl:choose>
					<xsl:when test="IN-PLAN = '1'">run.png</xsl:when>
					<xsl:otherwise>shutdown.png</xsl:otherwise>
				</xsl:choose>
			</xsl:with-param>
		</xsl:call-template>

		<xsl:call-template name="LIST-ROW-ITEM">
			<xsl:with-param name="title"><xsl:value-of select="NAME"/></xsl:with-param>
		</xsl:call-template>
	</tr>
</xsl:template>

</xsl:stylesheet>