<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="VIEW-CONTENT">
	<style>
		.sb-pagetitle { border-bottom: solid 1px #776655; }
	</style>
	
	<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
		<tr>
			<td class="admin-content-area">
				<xsl:apply-templates select="/SITEBUILDER-PAGE/STATUS" mode="admin"/>
				<xsl:apply-templates/>
			</td>
		</tr>
	</table>
</xsl:template>

<xsl:template match="SITE-EDIT-CONTENT">
	<script type="text/javascript" src="/js/Admin/Sites.js?{$version}.{$build}"/>

	<form name="editSite" method="post" id="editSite" action="{$baseUrl}/Admin/Site/Edit" onsubmit="submitForm(); return false;">
		<xsl:attribute name="action"><xsl:value-of select="@ACTION"/></xsl:attribute>
		
		<input type="hidden" name="id">
			<xsl:attribute name="value"><xsl:value-of select="TAB-PANEL/TAB-PANEL-CARD[@ID='general']/GENERAL-CARD-CONTENT/CONTROL[@NAME='siteId']"/></xsl:attribute>			
		</input>
		
		<input type="hidden" name="siteId">
			<xsl:attribute name="value"><xsl:value-of select="TAB-PANEL/TAB-PANEL-CARD[@ID='general']/GENERAL-CARD-CONTENT/CONTROL[@NAME='siteId']"/></xsl:attribute>
		</input>
		
		<input type="hidden" name="backUrl">
			<xsl:attribute name="value"><xsl:value-of select="$baseUrl"/>/Admin/Site/Edit?siteId=<xsl:value-of select="TAB-PANEL/TAB-PANEL-CARD[@ID='general']/GENERAL-CARD-CONTENT/CONTROL[@NAME='siteId']"/></xsl:attribute>
		</input>
		
		<xsl:apply-templates/>
		
		<input type="hidden" name="tab">
			<xsl:attribute name="value"><xsl:value-of select="TAB-PANEL/TAB-PANEL-CARD[@ACTIVE='1']/@ID"/></xsl:attribute>
		</input>
		<input type="hidden" name="isSavingRequired" value="no"/>
		<script type="text/javascript" language="javascript">
			<xsl:apply-templates select="TAB-PANEL/TAB-PANEL-CARD" mode="initSites"/>
		</script>

		<!-- input image needed for work default submit via Enter -->
		<input type="image" style="border-width: 0px; height: 0px; width: 0px;"/>

	</form>
	<table cellpadding="0" cellspacing="0" border="0" style="width: 100%;"><tr><td style="padding: 0 10px;">
		<table cellpadding="0" cellspacing="0" class="form-tools-container">
			<tr>
				<td><div class="hint"><xsl:call-template name="REQUIRED-FIELDS"/></div></td>
				<td>
					<table cellpadding="0" cellspacing="0" class="ok-cancel-container">
						<tr>
							<td>
								<xsl:call-template name="OK-CANCEL-BUTTONS">
									<xsl:with-param name="okAction">submitForm();</xsl:with-param>
									<xsl:with-param name="cancelAction">document.location.href="<xsl:value-of select="$baseUrl"/>/Admin/Site/List";</xsl:with-param>
								</xsl:call-template>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	</td></tr></table>

</xsl:template>

<xsl:template match="TAB-PANEL/TAB-PANEL-CARD" mode="initSites">
	sb_panel.registerPageOnloadAction('<xsl:value-of select="@ID"/>', "document.forms.editSite.tab.value = '<xsl:value-of select="@ID"/>';");
</xsl:template>

</xsl:stylesheet>