<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" encoding="utf-8"/>

<!--	<xsl:template match="MENU-ITEM[@TYPE='moduleSubMenu']" mode="SubMenu"> -->

	<xsl:template name="MODULE-SUB-MENU">
	    <xsl:param name="pageID"/>
	    <xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/SUB-MENU-PLACEHOLDER">	
		    <xsl:value-of disable-output-escaping="yes"  select="//MENU/MENU-ITEM[@ID = $pageID]/SUB-MENU-PLACEHOLDER"/>	
		</xsl:when>
		<xsl:otherwise>
		    <xsl:call-template name="STATIC-SUB-MENU">
				<xsl:with-param name="pageID" select="$pageID"/>
		    </xsl:call-template>
		</xsl:otherwise>
	    </xsl:choose>
	</xsl:template>

	<xsl:template name="MODULE-SUB-MENU-NF">
	    <xsl:param name="pageID"/>
	    <xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/SUB-MENU-PLACEHOLDER">	
		    <xsl:value-of disable-output-escaping="yes"  select="//MENU/MENU-ITEM[@ID = $pageID]/SUB-MENU-PLACEHOLDER"/>	
		</xsl:when>
		<xsl:otherwise>
<!--		    <xsl:call-template name="SUB-MENU">
			<xsl:with-param name="pageID" select="$pageID"/>
		    </xsl:call-template> -->
<!--		    <xsl:call-template name="STATIC-SUB-MENU" mode="SubMenu"/> -->
			<xsl:call-template name="ContainerSubMenu" mode="SubMenu"/>
		</xsl:otherwise>
	    </xsl:choose>
	</xsl:template>


	<xsl:template match="MENU-ITEM[@TYPE='moduleSubMenu']" mode="SubMenu">
		<xsl:value-of disable-output-escaping="yes" select="."/> 
	</xsl:template>

	<xsl:template match="MENU-ITEM[@TYPE='moduleSubMenu']" mode="sub">
		<xsl:value-of disable-output-escaping="yes" select="."/> 
	</xsl:template>

	<xsl:template name="SUB-MENU">
	    <xsl:param name="pageID"/>
	    <xsl:call-template name="MODULE-SUB-MENU">
			<xsl:with-param name="pageID" select="$pageID"/>
	    </xsl:call-template>
    </xsl:template>

<!--
        <xsl:template name="ContainerSubMenu" mode="SubMenu">
	    <xsl:param name="pageID"/>
	    <xsl:call-template name="MODULE-SUB-MENU-NF">
		<xsl:with-param name="pageID" select="$pageID"/>
	    </xsl:call-template>
        </xsl:template>
-->

</xsl:stylesheet>
