<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>

	<xsl:template match="POSITION">
		<option >
			<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
			<xsl:if test="@SELECTED=1">
				<xsl:attribute name="selected">true</xsl:attribute>
			</xsl:if>
			<xsl:value-of select="."/>
		</option>
	</xsl:template>


	<xsl:template name="NO-IMAGE">
		<xsl:param name="width"/>
		<xsl:param name="heigth"/>
		<table > <!--style="width: 102px; height: 70px; background-color: #A4A4A4;"-->
			<xsl:attribute name="style">width: <xsl:value-of select="$width"/>; height: <xsl:value-of select="$heigth"/>; background-color: #A4A4A4;</xsl:attribute>
			<tr>
				<td valign="middle" align="center">
					<span style="vertical-align: middle; color: #FFFFFF;"><b><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/NO-IMAGE"/></b></span>
				</td>
			</tr>
		</table>
	</xsl:template>

	<xsl:template match="DESCRIPTION" name='DESCRIPTION'>
		<xsl:call-template name="LABEL" mode="label">
			<xsl:with-param name="title" select="/SITEBUILDER-PAGE/LOCALE/CATEGORY-DESCRIPTION"/>
		</xsl:call-template>
		<xsl:apply-templates select="WYSIWYG" />
	</xsl:template>


</xsl:stylesheet>

